[pkg-java] r16457 - trunk/libitext-java/debian

Emmanuel Bourg ebourg-guest at alioth.debian.org
Fri Mar 29 22:49:16 UTC 2013


Author: ebourg-guest
Date: 2013-03-29 22:49:16 +0000 (Fri, 29 Mar 2013)
New Revision: 16457

Added:
   trunk/libitext-java/debian/orig-tar.sh
Modified:
   trunk/libitext-java/debian/changelog
   trunk/libitext-java/debian/rules
   trunk/libitext-java/debian/watch
Log:
  * debian/watch: Changed to match only the 2.x releases

Modified: trunk/libitext-java/debian/changelog
===================================================================
--- trunk/libitext-java/debian/changelog	2013-03-29 17:10:04 UTC (rev 16456)
+++ trunk/libitext-java/debian/changelog	2013-03-29 22:49:16 UTC (rev 16457)
@@ -3,8 +3,10 @@
   * Team upload.
   * Update to Standards-Version to 3.9.4 (no change required)
   * Added a patch to compile against Bouncy Castle 1.47 or later.
+  * debian/watch: Changed to match only the 2.x releases
+  * debian/rules: Added a get-orig-source target
 
- -- Emmanuel Bourg <ebourg at apache.org>  Fri, 29 Mar 2013 16:14:26 +0100
+ -- Emmanuel Bourg <ebourg at apache.org>  Fri, 29 Mar 2013 22:47:29 +0100
 
 libitext-java (2.1.7-4) unstable; urgency=low
 

Added: trunk/libitext-java/debian/orig-tar.sh
===================================================================
--- trunk/libitext-java/debian/orig-tar.sh	                        (rev 0)
+++ trunk/libitext-java/debian/orig-tar.sh	2013-03-29 22:49:16 UTC (rev 16457)
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+VERSION=$(dpkg-parsechangelog | sed -ne 's,^Version: \(.*\)-.*,\1,p')
+SOURCE=$(dpkg-parsechangelog | sed -ne 's,Source: \(.*\),\1,p')
+
+SVNROOT=http://svn.code.sf.net/p/itext/code/tags/iText_$(echo $VERSION | sed -e s/\\./_/g)/src
+
+echo $SVNROOT
+
+DIR=$SOURCE
+TAR=../${SOURCE}_${VERSION}.orig.tar.gz
+
+svn export $SVNROOT $DIR
+find $DIR -name \*.java -o -name \*.ps -o -name \*.txt -o -name \*.gif -o -name \*.png -o -name \*.afm -o -name \*.html -o -name \*.xml -o -name \.ant*.properties | xargs tar -zcf $TAR
+rm -rf $DIR
+
+# move to directory 'tarballs'
+if [ -r .svn/deb-layout ]; then
+  . .svn/deb-layout
+  mv $TAR $origDir
+  echo "moved $TAR to $origDir"
+fi


Property changes on: trunk/libitext-java/debian/orig-tar.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/libitext-java/debian/rules
===================================================================
--- trunk/libitext-java/debian/rules	2013-03-29 17:10:04 UTC (rev 16456)
+++ trunk/libitext-java/debian/rules	2013-03-29 22:49:16 UTC (rev 16457)
@@ -60,3 +60,6 @@
 	dh_testdir
 	dh_testroot
 	-rm -rf build src lib debian/stamp-*
+
+get-orig-source:
+	uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename

Modified: trunk/libitext-java/debian/watch
===================================================================
--- trunk/libitext-java/debian/watch	2013-03-29 17:10:04 UTC (rev 16456)
+++ trunk/libitext-java/debian/watch	2013-03-29 22:49:16 UTC (rev 16457)
@@ -1,2 +1,3 @@
 version=3
-http://sf.net/itext/iText-src-([0-9\.]*)\.tar\.gz
+opts=uversionmangle=s/_/./g \
+        http://svn.code.sf.net/p/itext/code/tags iText_(2)_([\d_]+)/ debian debian/orig-tar.sh




More information about the pkg-java-commits mailing list